homepage:
  url:   /
  param: { module: main, action: index }

newsletter_subscribe:
  url: /newsletter/join/*
  param: { module: newsletter, action: subscribe }

newsletter_confirm:
  url: /newsletter/confirm/:hash
  param: { module: newsletter, action: confirm }
  requirements: { hash: '\w{40}' }

newsletter_unsubscribe:
  url: /newsletter/opt-out/:hash
  param: { module: newsletter, action: unsubscribe }
  requirements: { hash: '\w{40}' }

feeds:
  url: /newsfeed
  param: { module: feeds, action: index }

feeds_more:
  url: /newsfeed/more
  param: { module: feeds, action: more }

feeds_sync:
  url: /newsfeed/update
  param: { module: feeds, action: sync }

contact:
  url: /contact
  param: { module: contact, action: contact }

booking:
  url: /reservation/:id
  param: { module: contact, action: contact, type: booking }
  requirements:
    id: \d+

project_idea:
  url: /idea
  param: { module: contact, action: contact, type: idea }

file_download:
  url:   /documents/:id
  param: { module: main, action: download }
  requirements:
    id: \d+

image_show:
  url:   /photo/:id/:size
  param: { module: main, action: download }
  requirements:
    id: \d+

adventures_more:
  url: /projects/more
  param: { module: adventures, action: more }

adventures_list:
  url:   /projects/list
  param: { module: adventures, action: list }

adventures_list_by_continent:
  url:   /projects/continent/:continent
  param: { module: adventures, action: list }
  requirements:
    continent: \d+

adventures_list_by_continent_slug:
  url:   /projects/continent/:continent/:slug
  param: { module: adventures, action: list }
  requirements:
    continent: \d+

adventures_list_by_type:
  url:   /projects/list
  param: { module: adventures, action: list }

adventures_show:
  url:   /project/:id
  param: { module: adventures, action: show }
  requirements:
    id: \d+

adventures_show_slug:
  url:   /project/:id/:title_slug
  param: { module: adventures, action: show }
  requirements:
    id: \d+

taf:
  url: /taf
  param: {module: taf, action: send }

guide:
  url:   /faq
  param: { module: guide, action: index }

download:
  url:   /documents
  param: { module: download, action: index }

about:
  url:   /about-us
  param: { module: about, action: index }

reports_more:
  url: /portfolio/more
  param: { module: reports, action: more }

reports_list:
  url:   /portfolio
  param: { module: reports, action: list }

reports_list_by_continent:
  url:   /portfolio/:continent
  param: { module: reports, action: list }
  requirements:
    continent: \d+

reports_list_by_continent_slug:
  url:   /portfolio/:continent/:slug
  param: { module: reports, action: list }
  requirements:
    continent: \d+

reports_list_by_type:
  url:   /portfolio
  param: { module: reports, action: list }


reports_show:
  url:   /overview/:id
  param: { module: reports, action: show }
  requirements:
    id: \d+

reports_show_slug:
  url:   /overview/:id/:slug
  param: { module: reports, action: show }
  requirements:
    id: \d+

rss:
  url: /rss
  param: { module: main, action: rss }

incentive:
  url: /incentive
  param: { module: main, action: incentive }